HINO Bugs - Bug #1530

[ESS-Medical]pengajuan ESS form tidak memposting data phrpa0043 yang berisi nilai costype
08/29/2022 11:57 AM - Muhammad Bintar

Status: Revise Start date: 08/29/2022
Priority: Immediate Due date: 10/05/2022
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim developer mohon support nya untuk perbaikan pada flow ess medical karena jika atasan melakukan submit maka semua
data pada phrpa0040.41, dan 42 terposting namun phrpa0043 tidak terposting.

Sudah dilakukan pengecekan pada ess deffieldpos, sdatatablefield dan runbizdata tetapi sudah sesuai.
History

#1 - 08/30/2022 09:27 AM - Mr. Yusuf
- File WF_MoveRunToHis.sql added
- File WF_TableHis.sql added

Muhammad Bintar wrote:

Dear tim developer mohon support nya untuk perbaikan pada flow ess medical karena jika atasan melakukan submit maka semua data pada
phrpa0040.41, dan 42 terposting namun phrpa0043 tidak terposting.

Sudah dilakukan pengecekan pada ess deffieldpos, sdatatablefield dan runbizdata tetapi sudah sesuai.
Coba pakai async baru biar ketahuan ada error apa.

Ceklistnya:

1. Buat table HIS, pakai query yg sy attach

2. Buat Stored Procedure WF_MoveRunToHis, pakai query yg sy attach
3. Set Konfigurasi user WFAdmin

4. Testing

#2 - 08/30/2022 09:28 AM - Mr. Yusuf

- Assignee changed from Mr. Yusuf to Muhammad Bintar

#3 - 08/30/2022 09:29 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from Muhammad Bintar to Mohammad Daud

#4 - 09/13/2022 07:43 AM - Kezia Pawitra Yulianti
- Status changed from Assigned to QA Test

- Priority changed from Normal to Immediate

tolong di test yaa sesuai instruksi di atas
Tks

#5 - 09/21/2022 04:14 PM - Muhammad Bintar

- File clipboard-202209211613-oyd7t.png added

- File clipboard-202209211614-fnuvs.png added

sudah di tes dan ada problem di sini...

proc_data_md0041-Update_ PHRPA0041_1 Failed to convert parameter value from a String to a Int64. - MinovalS.MinovaES.Business.WorkFlow
requestid nya 10973

dan juga postingan nya ada yang salah di phrpa0042
ql - re..ustus2022 (

Database Snapshots ~ - db MINOVAIS-SERVER\...2 - dbo.PHRPAODA2 = X
@ MinovaAbsen Column Alias Table Outp... Sort Type Sort Order Filter Or... Or.. Or... 2
W MinovaES_BankFama_Prod StartDate PHRPADD42

@ MinovaES_HINO_Prod
EndDat: PHRPADRD42
5 @ MinovaES_HINO_ProdAgustus2022 nebete
Database Diagrams EmployeelD PHRPADD42 ‘00000439
=] Tables (filtered) HeaderSeque... PHRPARD42
System Tables Sequence PHRPADNA2
FileTables
External Tables ClaimType PHRPADO42
Graph Tables TreatmentType PHRPADO42
EE dbo.PCMWFDEFBIZDATA MedicalFamily PHRPADD4Z Harusnya HeaderSequence 3 karena data
0. . ahun 2022 di master data medical itu di headrsequence
EH dbo.PCMWFDEFBIZFLOW PatientName PHRPADDA? tak 2022 di ter dat Jical itu dit | | 3
R dbo.PCMWFDEFBIZPROC
B dbo.,PCMWFDEFFIELDPOS HRReceiveDate PHRPADD42
EE dbo.PCMWFDEFFLOW PavrnentPlan DHRDAMNNAD ] Y]
FE dbo.PCMWFDEFTABLEBODY StartDate EndDate EmployeelD ClaimType TreatmentType MedicalFamily PatientMame *
EE dbo PCMWFDEFTASK 20210901 20210901 00000439 i 400 0001 Indah F. M
ahyu Indra Fr..
g::nsgmxigég:ziiﬂii 20210901 20210930 00000439 02 400 0001 ‘Wahyu Indra P\
0.
Views 20210901 20210930 00000439 02 400 0001 Indah F. M
External Resources 20210908 20210908 00000439 02 400 0001 ‘Wahyu Indra Pr..
Synonyms 20211101 20211130 00000439 02 400 0001 Indah Fatihatul ..
£ M Programmability 20211201 20211231 00000439 o 00 0001 Indah Eatihatl

=] Stored Procedures (filtered)

System Stored Procedures 20220921 20220921 00000438 02 400 0001 ‘Wahyu Indra Pr..
dbo.PRETPAPERFORMANCEHISTORY NULL NULL NULL NULL NULL NULL NULL NULL NULL
dbo.WFCreateH|STable

[ joveris lohunke: >
= dbo.WFMoveHisTaRunReglD .
- T m > 1 of 13 | b b b

dan juga di phrpa0043

Execute

Object Explorer SQLQuery10.sql - re..ustus2022 (s

Connect~ ¥ (V'S
Database Snapshots A MINOVAIS-SERVER dbo.PHRPADD42
W MinovaAbsen Column Alias Table Outp... Sort Type Sort Order Or... Or... @
@ MinovaES_BankFama_Prod EmployeelD PHRPADO42
@ MinovaES_HINQ_Prod
" - Headers: PHRPADD42
@ MinovaES_HING_ProdAgustus2022 eadereque
Database Diagrams Sequence PHRPADD43
= Tables (filtered) CostType PHRPADD43
System Tables Speciality PHRPAOD43
FileTables
External Tables Quantity PHRPADD43
Graph Tables UnitAmount PHRPADD42
EE dbo.PCMWFDEFBIZDATA Currency PHRPAD43
EE dbo.PCMWFDEFBIZFLOW Rate PHRPADISZ
EE dbo.PCMWFDEFBIZPROC
EE dbo.PCMWFDEFFIELDPOS Total&mount PHRPADD43
ER dbo.PCMWFDEFFLOW CreraneRul DHRDANNAT A A
B dbo.PCMWFDEFTABLEBODY HeaderSequen...| Sequence CostType Speciality Quantity UnitAmount Currency Rate
EE dbo.PCMWFDEFTASK 2 1 05 1 1 700000,00 IDR 0,00 1
EE dbo PCMWWFDEFTASKCON > nuzL NULL nuLL NULL [ UL NULL UL
EE dbo.PCMWFDEFTASKMAIL
Views
External Resources
Synonyms
Programmability
= Stored Procedures (filtered)
System Stored Procedures
dbo.PRPTPAPERFORMANCEHISTORY

#6 - 09/21/2022 04:14 PM - Muhammad Bintar
- Status changed from QA Test to Developing

- Assignee changed from Mohammad Daud to Mr. Yusuf

update...

#7 - 10/04/2022 01:46 PM - Kezia Pawitra Yulianti
- Due date changed from 09/02/2022 to 10/05/2022

- Status changed from Developing to Revise

Pak Ucup,

task ini statusnya gmn ya?

Mohon bantuan untuk pengecekan progress nya ya
Tks

#8 - 10/06/2022 08:53 AM - Mr. Yusuf
Kezia Pawitra Yulianti wrote in #note-7:

Pak Ucup,
task ini statusnya gmn ya?
Mohon bantuan untuk pengecekan progress nya ya
Tks

Ini casenya perlu ditambah task 'Condition Header Sequence' setelah approve DS1.

#9 - 10/06/2022 08:54 AM - Mr. Yusuf

- Assignee changed from Mr. Yusuf to Muhammad Bintar

Files

testing pengajuan ess medical.mp4 3.26 MB 08/29/2022 Muhammad Bintar
clipboard-202208291156-8minz.png 67.4 KB 08/29/2022 Muhammad Bintar
WF_MoveRunToHis.sql 3.45 KB 08/30/2022 Mr. Yusuf
WF_TableHis.sql 16.6 KB 08/30/2022 Mr. Yusuf
clipboard-202209211613-oyd7t.png 94.4 KB 09/21/2022 Muhammad Bintar
clipboard-202209211614-fnuvs.png 76.1 KB 09/21/2022 Muhammad Bintar
